classification
Title: Update lib2to3.tests and test_lib2to3 to use test discovery
Type: behavior Stage: resolved
Components: 2to3 (2.x to 3.x conversion tool), Tests Versions: Python 3.5, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zach.ware Nosy List: ezio.melotti, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2014-08-08 14:08 by zach.ware, last changed 2014-10-29 17:30 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
test_lib2to3_discovery.diff zach.ware, 2014-08-08 14:14 review
Messages (4)
msg225072 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-08-08 14:08
The attached patch updates lib2to3.tests and the test.test_lib2to3 script to use test discovery.  It also re-enables lib2to3.tests.test_all_fixers with a "cpu" resource guard.  That test has been failing since at least 3.2, but was never run anyway.  To allow it to pass, the patch adds "from __future__ import print_function" to lib2to3.main and lib2to3.tests.pytree_idempotency.
msg230130 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-10-28 09:08
LGTM
msg230228 - (view) Author: Roundup Robot (python-dev) Date: 2014-10-29 17:28
New changeset 9d36bf887be3 by Zachary Ware in branch '3.4':
Issue #22173: Update lib2to3 tests to use unittest test discovery.
https://hg.python.org/cpython/rev/9d36bf887be3

New changeset 179ccc48566f by Zachary Ware in branch 'default':
Closes #22173: Merge with 3.4
https://hg.python.org/cpython/rev/179ccc48566f
msg230229 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-10-29 17:30
Thanks, Ezio!
History
Date User Action Args
2014-10-29 17:30:14zach.waresetassignee: zach.ware
messages: + msg230229
2014-10-29 17:28:47python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg230228

resolution: fixed
stage: commit review -> resolved
2014-10-28 09:08:06ezio.melottisetnosy: + ezio.melotti

messages: + msg230130
stage: patch review -> commit review
2014-08-08 14:14:48zach.waresetfiles: - test_lib2to3_discovery.diff
2014-08-08 14:14:41zach.waresetfiles: + test_lib2to3_discovery.diff
2014-08-08 14:08:01zach.warecreate